# sgmse


```


unset DOCKER_HOST
docker run --rm -it -v $(pwd):/app -w /app python:3.11 /bin/bash


apt-get update
apt-get install liblzma-dev

# 创建虚拟环境
python -m venv sgmse_env
# 激活虚拟环境
source sgmse_env/bin/activate  # 在 Windows 上使用 sgmse_env\Scripts\activate

pip install torch librosa soundfile tqdm pesq pandas pytorch_lightning wandb torchaudio pystoi


python preprocessing/create_wsj0_chime3.py  data/wsj0  data/CHiME3/data/audio/16kHz target

python preprocessing/create_wsj0_qut.py wsj0 qut target

python train.py --base_dir target

python enhancement.py --test_dir test_data --enhanced_dir enhanced_data --ckpt model_checkpoint

python calc_metrics.py --clean_dir clean_data --noisy_dir noisy_data --enhanced_dir enhanced_data



```
